View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000997Ecere SDKecerepublic2013-08-30 09:052013-10-01 08:54
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.08 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000997: HTTPFile -- browser hanging
DescriptionThe browser still frequently hangs, often stuck missing 1 byte
Steps To Reproduce
Testing with:

http://ecere.com/ [^]
http://ecere.com/wiki/ [^]
http://taobao.com/ [^]
http://hao123.com/ [^]

- Going from one web site to the next
- Testing with and without objects (images) being loaded (in separate threads)
- Reopening the same website multiple times
TagsNo tags attached.
Attached Files

- Relationships
related to 0000960closedjerome HTTPFile -- browser crashes 

-  Notes
(0001107)
jerome (administrator)
2013-09-30 09:07

Various fixes and improvements took care of this:

HTTPFile fixes:

https://github.com/ecere/ecere-sdk/commit/d3332365760f063daa57c5611786dc5d44890840 [^]

Praser/Renderer fixes:

https://github.com/ecere/ecere-sdk/commit/7948fd17eea7422d19f60845bc0633fe084bbd67 [^]

Socket fixes:

https://github.com/ecere/ecere-sdk/commit/aa8a7923416c0589a1cb3bb135d90249f549bd11 [^]
(0001109)
jerome (administrator)
2013-10-01 08:54

Yet another hang fix:

https://github.com/ecere/ecere-sdk/commit/80db984d7638db5a68ddc65c8d606338717cacdd [^]

- Issue History
Date Modified Username Field Change
2013-08-30 09:05 jerome New Issue
2013-08-30 09:05 jerome Status new => assigned
2013-08-30 09:05 jerome Assigned To => jerome
2013-08-30 09:05 jerome Issue generated from: 0000960
2013-08-30 09:05 jerome Relationship added related to 0000960
2013-08-30 09:11 jerome Description Updated
2013-08-30 09:11 jerome Steps to Reproduce Updated
2013-09-08 18:25 jerome Target Version 0.44.11 Tablet Edition/Docs => 0.44.10 64
2013-09-30 09:07 jerome Status assigned => closed
2013-09-30 09:07 jerome Note Added: 0001107
2013-09-30 09:07 jerome Resolution open => fixed
2013-09-30 09:07 jerome Fixed in Version => 0.44.10 64
2013-10-01 08:54 jerome Note Added: 0001109



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker